Redmine - Defect #29416

Do not show Git revisions
2018-08-21 11:16 - Alexandr Kirilov

Status: Reopened Start date:

Priority: Normal Due date:

Assignee: Alexandr Kirilov % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 3.4.6
Description

My tech-stack:
FreeBSD 11 + Apache 24 + MySQL 8 + Gitolite + Redmine 3.4.6.stable

The issue: the Redmine do not show the Git all revisions in repository but showing it if | am requesting by precise tag.

Just the same way do not working reference tag for issues. It's not gotten from repo. No any issues referenced.

Related issues:
Related to Redmine - Defect #26645: git 2.14 compatibility Closed

History

#1 - 2018-08-21 11:32 - Alexandr Kirilov

Git wrapped out by it for covering --no-color issue
#!/usr/local/bin/bash

The latest git version (2.14.1) removes the —--no-color option which breaks existing redmine/git
support. We remove this option from the provided arguments until redmine fixes this,
presumably in redmine 3.4.3

Issue #305

HH H =

REAL_GIT="/usr/local/bin/git"
SREAL_GIT "${@%--no-color}"

#2 - 2018-08-21 11:34 - Alexandr Kirilov
Git version

$ /usr/local/sbin/git --version --no-color
git version 2.18.0

#3 - 2018-08-23 12:41 - Alexandr Kirilov

https://www.redmine.org/boards/2/topics/55693 - there are explanation of what happening on my server

#4 - 2018-08-23 12:42 - Alexandr Kirilov
My env

$ env RAILS_ENV="production" rake about
About your application's environment

Rails version 4.2.8

Ruby version 2.4.4-p296 (amd64-freebsdll)

RubyGems version BoTloT

Rack version 1.6.10

Middleware Rack::Sendfile, Rack::ContentlLength, ActionDispatch::Static, Rack::Lock, #<ActiveSup

port::Cache::Strategy::LocalCache::Middleware:0x00000008108bb268>, Rack::Runtime, Rack::MethodOverride, Action
Dispatch: :RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions, Act
ionDispatch: :RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement, Acti
veRecord: :QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash, Ac
tionDispatch: :ParamsParser, ActionDispatch::XmlParamsParser, Rack::Head, Rack::ConditionalGet, Rack::ETag, Reqg
uestStore::Middleware, OpenIdAuthentication

Application root /projects/www/redmine
Environment production
Database adapter nysql2
https://www.redmine.org/boards/2/topics/55693

Database schema version 20170419144536
The output of command that | found

$ /projects/www/redmine/bin/rails runner "Repository.fetch_changesets" -e production
fatal: '' is not a valid branch name.

The log file line
git log error: git exited with non-zero status: 128

#5 - 2018-08-23 12:46 - Alexandr Kirilov

I've been trying to fix it like over here https://www.redmine.org/issues/12505 - nothing has happened

#6 - 2018-08-23 14:19 - Alexandr Kirilov

Just tried to make version downgrade. The same issue for every version to 3.4.2 stable

$ /projects/www/redmine/bin/rails runner "Repository.fetch_changesets" -e production
fatal: '' is not a valid branch name.
Environment:
Redmine version 3.4.2.stable
Ruby version 2.4.4-p296 (2018-03-28) [amd64-freebsdll]
Rails version 4.2.8
Environment production
Database adapter Mysqgl2
SCM:
Git 2.18.0
Filesystem

Redmine plugins:
no plugin installed

#7 - 2018-08-23 14:21 - Alexandr Kirilov

Does anyone reading it?

#8 - 2018-08-26 14:18 - Marius BALTEANU
- Status changed from New to Needs feedback

- Assignee set to Alexandr Kirilov

Yes, it does, but we cannot check immediately all the reported issues. Please have some patience.
I'm not sure that | understand correctly your issue.

1. 1 didn't find anything official about "The latest git version (2.14.1) removes the --no-color option...". Can you provide a link? Also, the "--no-color"
option appears in the commands used by Redmine:

- https://git-scm.com/docs/git-branch#git-branch---no-color

- https://git-scm.com/docs/qit-log#git-log---no-color

- https://git-scm.com/docs/qit-diff#git-diff---no-color

2. I've just installed the latest git version on my development environment and all the tests pass.
3. The method "Repository.fetch_changesets " runs successfully:
irb (main) :005:0> Repository.last.fetch_changesets

Repository Load (0.4ms) SELECT " repositories’ .* FROM "repositories’™ ORDER BY "repositories’. id’ DESC LIMI
T 1

Shelling out: 'git' --version

Shelling out: 'git' '—--git-dir' 'tmp/test/git_repository' '-c' 'core.quotepath=false' '-c' 'log.decorate=no' '
branch' '--no-color' '—--verbose' '—-—-no-abbrev'

=> nil

#9 - 2018-08-26 14:33 - Alexandr Kirilov

Thanks for reply. | do appreciate it.
My environment:
FreeBSD 11.2

Git 2.18 (Mentioned in my post, | suppose you are not tried it on the same environment because you are mentioning Git 2.14 - suppose Linux)
Git covered by Gitolite for access via SSH
Ruby (been testing huge variation from 2.2 to lates 2.4 within huge list of variations of gems and Rails)

MySQL (version from 5.5 to 8.0)

Apache 24

Redmine version from 3.2 to lates from tar.gz archives and Github repo with using stable branches.

Redmine manifest for versions has conflict from begin:

MySQL working good from 5.0 to 5.3 - the lower available version for FreeBSD OS is 5.5

And other small issues.

In my post I've been mentioning about solution for wrapping Git there are BASH script that is cutting out this parameter, found in Stackoverflow.

For now no any interest in it since yestreday. | am so sorry, but migrated to Jira, yesterday installed. 4 weeks of seeking and researching for solution -
very expensive for me. More then 100USD for small company Jira license for 2 years. | am so sorry after 5 years of using Redmine stopped.

Best regards.

#10 - 2018-08-26 20:57 - Marius BALTEANU
- Related to Defect #26645: git 2.14 compatibility added
#11 - 2018-08-26 20:58 - Marius BALTEANU
Alexandr Kirilov wrote:
Thanks for reply. | do appreciate it.
My environment:
FreeBSD 11.2
Git 2.18 (Mentioned in my post, | suppose you are not tried it on the same environment because you are mentioning Git 2.14 - suppose Linux)
Git covered by Gitolite for access via SSH
Ruby (been testing huge variation from 2.2 to lates 2.4 within huge list of variations of gems and Rails)
MySQL (version from 5.5 to 8.0)
Apache 24
Redmine version from 3.2 to lates from tar.gz archives and Github repo with using stable branches.
Redmine manifest for versions has conflict from begin:
MySQL working good from 5.0 to 5.3 - the lower available version for FreeBSD OS is 5.5
And other small issues.
My environment is a Docker with Debian 9, Ruby 2.4.4, MySQL 5.7 and git 2.18.
In my post I've been mentioning about solution for wrapping Git there are BASH script that is cutting out this parameter, found in Stackoverflow.
For now no any interest in it since yestreday. | am so sorry, but migrated to Jira, yesterday installed. 4 weeks of seeking and researching for
solution - very expensive for me. More then 100USD for small company Jira license for 2 years. | am so sorry after 5 years of using Redmine

stopped.

Best regards.

Sorry for hearing this, if you want to investigate more | need a demo repository for which you receive the error. Maybe is other problem.

#12 - 2019-02-03 19:24 - Marius BALTEANU
- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

Please reopen if you still using Redmine and you experience the issue on the latest Redmine versions.

#13 - 2019-10-06 23:53 - Tars Eg
- File new-234.png added

| have this issue. Remine version 4.0.4. Redmine doesn't show the latest revision list. If | click “View all revisions”, only the first commit is shown.

My Redmine has multiple projects, each with its own Git repository. In all other projects Redmine works fine and shows the revisions.
+ Overview Activity TIssues Gantt Documents  Wiki Repository BG5S

root @ master illly Statistice | Branch: | Rewvision: l:l
Name Size Revision Age Author Comment
» L cwsantee about 2 hours ﬁ#@ﬁ;‘"ﬁw
> [ FEEa—

View all revisions | View revisions

Also available in: ) Atom

#14 - 2019-10-07 23:03 - Marius BALTEANU
- Status changed from Closed to Reopened
Tars Eg wrote:
I have this issue. Remine version 4.0.4. Redmine doesn't show the latest revision list. If | click “View all revisions”, only the first commit is shown.

My Redmine has multiple projects, each with its own Git repository. In all other projects Redmine works fine and shows the revisions.

+ Overview Activity Issues Gantt Documents Wiki Files JLISILSIOM Settings

root @ master illly Statistics | Branch: | Revision: l:l
Name Size Revision Age Author Comment

> e about 2 hours e

> [0 5F R

View all revisions | View revisions

Also available in: B Atom

Can you provide a test repository that can be used to reproduce the problem?

#15 - 2019-10-08 02:03 - Tars Eg

Can you provide a test repository that can be used to reproduce the problem?

Absolutely. Though since | observe the problem only in one repository, | am not sure if creating a test repository will reproduce the issue. | can give
you an access to the real one. | just wonder how we can exchange access or contact information. Everything is public here.

#16 - 2019-10-08 02:24 - Tars Eg

Tars Eg wrote:

Can you provide a test repository that can be used to reproduce the problem?

Absolutely. Though since | observe the problem only in one repository, | am not sure if creating a test repository will reproduce the issue. | can
give you an access to the real one. | just wonder how we can exchange access or contact information. Everything is public here.

| have an idea. | temporarily turned on self registration on my Redmine. Can you go to ooooooooo and register? Then | will see your email and we will

be able to talk about access to the problem repository. Will it do?

#17 - 2021-04-21 23:02 - Angel Grimas

Hi. Does somebody have any solution about this issue? | have the same problem but next set configuration:

Environment:

Redmine version 4.1.1.stable

Ruby version 2.5.8-p224 (2020-03-31) [x64-mingw32]
Rails version 5.24.2

Environment production

Database adapter Mysql2

Mailer queue ActivedJob::QueueAdapters::AsyncAdapter
Mailer delivery smip

SCM:

Git 2.27.0

Filesystem

Redmine plugins:

no plugin installed

Usually the other projects show "git repository" completly but only one project repository does not show the completed "git log" and "commits"

changes.

Any suggestions ?

#18 - 2022-09-01 14:38 - Erik E

Angel Grimas wrote:

Any suggestions ?

If you still have this issue you could take a look at

How to reinit "Latest revisions" (changesets) for repository and maybe #12505
